# Class InnerActive

java.lang.Object
com.codename1.io.ConnectionRequest
com.codename1.ads.AdsService
com.codename1.ads.InnerActive

All Implemented Interfaces:
  `IOProgressListener`

@Deprecated public class InnerActive extends AdsService
Deprecated.
the InnerActive ad network is defunct. Use the modern pluggable advertising API in `AdManager` instead.
This is an Ad service implementation by InnerActive see: http://console.inner-active.com/iamp/publisher/register?ref_id=affiliate_CodenameOne

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class ConnectionRequest

  `ConnectionRequest.CachingMode, ConnectionRequest.SSLCertificate`

- ## Field Summary

  ### Fields inherited from class ConnectionRequest

  `PRIORITY_CRITICAL, PRIORITY_HIGH, PRIORITY_LOW, PRIORITY_NORMAL, PRIORITY_REDUNDANT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InnerActive()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(java.lang.Object o)`
  Deprecated.
  `int`
  `hashCode()`
  Deprecated.
  `void`
  `initService(Ads ads)`
  Deprecated.
  initialize the ads service
  `protected void`
  `readResponse(java.io.InputStream input)`
  Deprecated.
  Callback for the server response with the input stream from the server.
  `void`
  `setBanner(boolean banner)`
  Deprecated.
  Sets this ads type, by default this a banner type.
  `static void`
  `setTestAds(boolean test)`
  Deprecated.
  If true and no ads exists the network will return house holds ads

  ### Methods inherited from class AdsService

  `createAdsService, getCurrentAd, handleErrorResponseCode, handleException, handleRuntimeException, initialize, onAdDisplay, requestAd, setAdsProvider`

  ### Methods inherited from class ConnectionRequest

  `addArgument, addArgument, addArgument, addArgumentArray, addArgumentNoEncoding, addArgumentNoEncoding, addArgumentNoEncodingArray, addArguments, addExceptionListener, addRequestHeader, addResponseCodeListener, addResponseListener, buildRequestBody, cacheUnmodified, canGetSSLCertificates, checkSSLCertificates, cookieReceived, cookieSent, createRequestURL, downloadImageToFileSystem, downloadImageToFileSystem, downloadImageToFileSystem, downloadImageToFileSystem, downloadImageToFileSystem, downloadImageToFileSystem, downloadImageToStorage, downloadImageToStorage, downloadImageToStorage, downloadImageToStorage, downloadImageToStorage, downloadImageToStorage, fetchJSON, fetchJSONAsync, fireResponseListener, getCachedData, getCacheMode, getContentLength, getContentType, getCookieHeader, getDefaultCacheMode, getDefaultUserAgent, getDestinationFile, getDestinationStorage, getDisposeOnCompletion, getHeader, getHeaderFieldNames, getHeaders, getHttpMethod, getPriority, getReadTimeout, getRequestBody, getRequestBodyData, getResponseCode, getResponseContentType, getResponseData, getResponseErrorMessage, getResposeCode, getShowOnInit, getSilentRetryCount, getSSLCertificates, getTimeout, getUrl, getUserAgent, getYield, handleIOException, hasResponseListeners, initConnection, initCookieHeader, ioStreamUpdate, isCheckSSLCertificates, isCookiesEnabled, isCookiesEnabledDefault, isDefaultFollowRedirects, isDuplicateSupported, isFailSilently, isFollowRedirects, isHandleErrorCodesInGlobalErrorHandler, isInsecure, isKilled, isNativeCookieSharingSupported, isPausable, isPaused, isPost, isReadRequest, isReadResponseForErrors, isReadResponseForErrorsDefault, isReadTimeoutSupported, isRedirecting, isWriteRequest, kill, onRedirect, pause, postResponse, purgeCache, purgeCacheDirectory, readErrorCodeHeaders, readHeaders, removeAllArguments, removeArgument, removeExceptionListener, removeResponseCodeListener, removeResponseListener, resume, retry, setCacheMode, setCheckSSLCertificates, setChunkedStreamingMode, setContentType, setCookieHeader, setCookiesEnabled, setCookiesEnabledDefault, setDefaultCacheMode, setDefaultFollowRedirects, setDefaultUserAgent, setDestinationFile, setDestinationStorage, setDisposeOnCompletion, setDuplicateSupported, setFailSilently, setFollowRedirects, setHandleErrorCodesInGlobalErrorHandler, setHttpMethod, setInsecure, setKilled, setPaused, setPost, setPriority, setReadRequest, setReadResponseForErrors, setReadResponseForErrorsDefault, setReadTimeout, setRequestBody, setRequestBody, setShowOnInit, setSilentRetryCount, setTimeout, setUrl, setUseNativeCookieStore, setUserAgent, setWriteRequest, shouldAutoCloseResponse, shouldConvertPostToGetOnRedirect, shouldStop, shouldWriteUTFAsGetBytes, validate`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InnerActive

    public InnerActive()
    Deprecated.

- ## Method Details

  - ### setTestAds

    public static void setTestAds(boolean test)
    Deprecated.

    If true and no ads exists the network will return house holds ads

    ###### Parameters

    - `test`

  - ### setBanner

    public void setBanner(boolean banner)
    Deprecated.

    Sets this ads type, by default this a banner type.

    ###### Parameters

    - `banner`: sets the ads to banners or text ads

  - ### initService

    public void initService(Ads ads)
    Deprecated.
    initialize the ads service
    Specified by:
      `initService` in class `AdsService`

  - ### equals

    public boolean equals(java.lang.Object o)
    Deprecated.
    Description copied from class: `ConnectionRequest`
    Overrides:
      `equals` in class `ConnectionRequest`

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `ConnectionRequest`

  - ### readResponse

    protected void readResponse(java.io.InputStream input) throws java.io.IOException
    Deprecated.

    Callback for the server response with the input stream from the server. This method is invoked on the network thread

    ###### Parameters

    - `input`: the input stream containing the response

    ###### Throws

    - `IOException`: when a read input occurs
    Overrides:
      `readResponse` in class `AdsService`
    Throws:
      `java.io.IOException`